<?php
/**
 * @package     KL Admin Skin
 * @subpackage  Quickicon
 *
 * @author      KreativeLizard Team <support@kreativelizard.com>
 * @copyright   Copyright (C) 2014 - 2020 KreativeLizard. All rights reserved.
 * @license     GNU General Public License version 3 or later; see LICENSE.txt
 * @link        https://www.kreativelizard.com
 */

// No direct access
defined('_JEXEC') or die;

/**
 * Installer script file of KL Admin Skin Quick Icon plugin
 *
 * @since  3.0.4
 */
class PlgQuickiconkl_adminskinInstallerScript
{
    /**
     * Called after any type of action
     *
     * @param   string            $route    Which action is happening (install|uninstall|discover_install).
     * @param   JAdapterInstance  $adapter  The object responsible for running this script.
     *
     * @return  boolean  True on success.
     *
     * @since   3.2
     */
    public function postflight($route, JAdapterInstance $adapter)
    {
        // We only need to perform this if the extension is being installed, not updated
        if ($route == 'install')
        {    
            // Get a database object
            $db = JFactory::getDbo();
            
            // Create a new query object
            $query = $db->getQuery(true);

	        // Fields to update
            $fields = array(
                $db->quoteName('enabled') . ' = ' . (int) 1,
                $db->quoteName('ordering') . ' = ' . (int) 9999
            );

	        // Conditions for which records should be updated
            $conditions = array(
                $db->quoteName('element') . ' = ' . $db->quote('kl_adminskin'),
                $db->quoteName('folder') . ' = ' . $db->quote('quickicon')
            );

	        // Build the query
            $query->update($db->quoteName('#__extensions'))->set($fields)->where($conditions);

            // Set the query and execute
            $db->setQuery($query);
            $db->execute();
        }
    }
}
